#define MemRead(_x_) (*(volatile uint32_t*)(_x_))
#define MemWrite(_x_, _v_) (*(volatile uint32_t*)(_x_) = (_v_))

#include "AKD1000.h"
#include "akida/nsoc_v1_interrupts.h"
#include "akida/nsocv1/crg11.h"
#include "akida/nsocv1/scr.h"

#define SOC_GPIO_PORTS 4
#define SOC_GPIO_PER_PORT 8

#define SOC_LOGI(...) elog_msg(&__log_SOC, ELOG_LEVEL_INFO, __VA_ARGS__)
#if defined CONFIG_DEBUG_LOG_SOC
#define SOC_LOGD(msg, ...) \
    elog_msg(&__log_SOC, ELOG_LEVEL_DEBUG, "%s:%u " #msg, __FUNCTION__, __LINE__, ##__VA_ARGS__)
#else
#define SOC_LOGD(...)
#endif
#define SOC_LOGE(...) elog_msg(&__log_SOC, ELOG_LEVEL_ERROR, __VA_ARGS__)
extern struct log_module __log_SOC;
