CC=arm-none-eabi-gcc
CXX=arm-none-eabi-g++
AS=arm-none-eabi-as
AR=arm-none-eabi-ar
OC=arm-none-eabi-objcopy

TARGET_MEMORY?=DPSRAM

CFLAGS += \
    -ffreestanding \
        -mcpu=cortex-m4 \
        -mno-unaligned-access \
        -ffunction-sections \
        -fdata-sections \
        -mhard-float \
        -mfloat-abi=hard \
        -mthumb \
        -nostartfiles \
        -Wall \
        -Os \
        -Wextra \
        -g \
        -MD

CFLAGS += -DARMCM4_FP

LDFLAGS +=  \
        -Wl,-T$(LSCRIPT) \
        -Wl,--gc-sections \
        -Wl,-static \
        -mhard-float \
        -mfloat-abi=hard \
        -march=armv7e-m+fp \
        -nostartfiles
