#ifndef __MEMORY_MAP_H__
#define __MEMORY_MAP_H__

#define DPS_MEM_BASE 0X10000000                    /**< Base address of DPS Ram */
#define DPS_MEM_SIZE 0X00080000                    /**< Size of DPS Ram */
#define DPS_MEM_USED 0x00060000                    /**< Size of memory used, known*/
#define DPS_MEM_FREE (DPS_MEM_BASE + DPS_MEM_USED) /**< Base address of free DPS memory*/

#define DDR_MEM_BASE 0X20000000                    /**< Base address of LPDDR */
#define DDR_MEM_SIZE 0XC0000000                    /**< Size of LPDDR */
#define DDR_MEM_USED 0X00200000                    /**< Size of memory used, known*/
#define DDR_MEM_FREE (DDR_MEM_BASE + DDR_MEM_USED) /**< Base address of free LPDDR memory*/

#endif /** __MEMORY_MAP_H__ */
