#ifndef _GPIO_REG_H_
#define _GPIO_REG_H_
#include "nsocv1/soc.h"

typedef volatile struct {
    uint32_t pdr[SOC_GPIO_PORTS]; /* 0x00 to 0X0F */
    uint32_t ddr[SOC_GPIO_PORTS]; /* 0x10 to 0x1F */
    uint32_t pfr[SOC_GPIO_PORTS]; /* 0x20 to 0x2F */
} gpio_reg_t;

#define GPIO ((gpio_reg_t*)GPIO_BASE)

#endif /* _GPIO_REG_H_ */
