#include "power_monitor.h"
#include "bsp_error.h"

int get_voltage(struct power_monitor_driver* drv, int* volt) {
    if (drv->ops->read_voltage) {
        return drv->ops->read_voltage(drv, volt);
    }
    return ENOT_IMPLEMENTED;
}

int get_current(struct power_monitor_driver* drv, int* current) {
    if (drv->ops->read_current) {
        return drv->ops->read_current(drv, current);
    }
    return ENOT_IMPLEMENTED;
}

int get_power(struct power_monitor_driver* drv, int* power) {
    if (drv->ops->read_power) {
        return drv->ops->read_power(drv, power);
    }
    return ENOT_IMPLEMENTED;
}
