#include "common.h"

uint32_t interrupt_lock() {
    uint32_t prim = __get_PRIMASK();
    if (!prim) {
        __disable_irq();
    }
    return !prim;
}

void interrupt_unlock(uint32_t flags) {
    if (flags) {
        __enable_irq();
    }
}
